for i in `kubectl get pod -A | grep Evicted | cut -f1 -d' '|uniq`
do
kubectl get pod -n $i | grep Evicted | awk '{print $1}' | xargs kubectl delete pod -n $i
done
for i in `kubectl get pod -A | grep Completed | cut -f1 -d' '|uniq`
do
kubectl get pod -n $i | grep Completed | awk '{print $1}' | xargs kubectl delete pod -n $i
done

for i in `kubectl get pod -A | grep ContainerStatusUnknown | cut -f1 -d' '|uniq`
do
kubectl get pod -n $i | grep ContainerStatusUnknown | awk '{print $1}' | xargs kubectl delete pod -n $i
done
for i in `kubectl get pod -A | grep Error | cut -f1 -d' '|uniq`
do
kubectl get pod -n $i | grep Error | awk '{print $1}' | xargs kubectl delete pod -n $i
done
for i in `kubectl get pod -A | grep ImagePullBackOff | cut -f1 -d' '|uniq`
do
kubectl get pod -n $i | grep ImagePullBackOff | awk '{print $1}' | xargs kubectl delete pod -n $i
done
